spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Akhil Das <ak...@sigmoidanalytics.com>
Subject Re: the spark configuage
Date Wed, 30 Apr 2014 08:36:04 GMT
Hi

The reason you saw that warning is the native Hadoop library
$HADOOP_HOME/lib/native/libhadoop.so.1.0.0 was actually compiled on 32 bit.

Anyway, it's just a warning, and won't impact Hadoop's functionalities.

Here is the way if you do want to eliminate this warning, download the
source code of Hadoop and recompile libhadoop.so.1.0.0 on 64bit system,
then replace the 32bit one.

Steps on how to recompile source code are included here for Ubuntu:

http://www.ercoppa.org/Linux-Compile-Hadoop-220-fix-Unable-to-load-native-hadoop-library.htm
http://www.csrdu.org/nauman/2014/01/23/geting-started-with-hadoop-2-2-0-building/

Good luck.

Thanks
Best Regards


On Wed, Apr 30, 2014 at 1:28 PM, Sophia <sln-1026@163.com> wrote:

> Hi,
> when I configue spark, run the shell instruction:
> ./spark-shell    it told me like this:
> WARN:NativeCodeLoader:Uable to load native-hadoop livrary for your
> builtin-java classes where applicable,when it connect to ResourceManager,it
> stopped. What should I DO?
> Wish your reply
>
>
>
> --
> View this message in context:
> http://apache-spark-user-list.1001560.n3.nabble.com/the-spark-configuage-tp5098.html
> Sent from the Apache Spark User List mailing list archive at Nabble.com.
>

Mime
View raw message